body {
    background-color: #f5f5f5;
    font-family: "Open Sans", sans-serif;

    a {
        color: #404041 !important;
    }
}

.fixed_header {
    position: fixed;
    box-sizing: border-box;
    max-width: 1200px;
    width: 100%;
    height: 70px;
    top: 0;
    z-index: 100;
    box-shadow: 0px 13px 17px -12px #a1a1a1;
}

// header contact dropdown
.store-info {
    display: none;
    background-color: #f8f8f8;
    border-radius: 5px 5px 0 0 ;
    position: absolute;
    top: 40px;
    right: 0;
    z-index: 5;
    font-size: 13px;
    color: #404041;
    border-left: 1px solid #e1e1e1;
    border-bottom: 1px solid #e1e1e1;
    
    > span {
        vertical-align: top;
    }

    .store-info-header {
        display: block;
        background-color: #83c341;
        color: #fff;
        text-align: center;
        padding: 12px 25px;
        border-radius: inherit;
        font-weight: bold;
        box-sizing: border-box;
    }

    .store-info-text {
        display: inline-block;
        padding: 20px;
        width: 100%;
        box-sizing: border-box;

        a {
            font-weight: normal;
        }

        .contact-page-button {
            display: block;
            text-align: center;
            padding: 9px;
            background-color: #414141;
            border-radius: 24px;
            color: #fff !important;
            font-weight: bold;
        }
    }
    
    ::after {
        content: " ";
        position: absolute;
        display: block; 
        width: 15px;
        height: 15px;
        background-color: #83c341;
        top: -5px;
        pointer-events: none;
        left: 50%;
        transform: rotate(45deg);
    }
}

// megamenu account dropdown
.account-info {
    display: none;
    background-color: #f8f8f8;
    border-radius: 5px 5px 0 0 ;
    position: absolute;
    top: 40px;
    right: -3px;
    width: 220px;
    z-index: 5;
    font-size: 13px;
    text-align: center;
    color: #404041;
    border: none;
    
    > span {
        vertical-align: top;
    }

    .account-info-header {
        display: block;
        background-color: #83c341;
        color: #fff;
        text-align: center;
        padding: 20px;
        border-radius: inherit;
        font-weight: bold;
        box-sizing: border-box;
    }

    .account-info-text {
        display: inline-block;
        padding: 20px;
        width: 100%;
        box-sizing: border-box;

        > span {
            font-weight: normal;
            > a {
                font-weight: bold !important;
                color: #687f37 !important;
            }
        }

        .login-page-button {
            display: block;
            text-align: center;
            padding: 9px;
            background-color: #f16d2a;
            border-radius: 24px;
            color: #fff !important;
            font-weight: bold;
        }
    }
    
    ::after {
        content: " ";
        position: absolute;
        display: block; 
        width: 10px;
        height: 10px;
        background-color: #83c341;
        top: -5px;
        pointer-events: none;
        left: 50%;
        transform: rotate(45deg);
    }
}

// megamenu cart dropdown
.cart-info {
    display: none;
    background-color: #f8f8f8;
    border-radius: 5px 5px 0 0 ;
    position: absolute;
    top: 35px;
    right: 5px;
    width: 300px;
    z-index: 5;
    font-size: 13px;
    text-align: center;
    color: #404041;
    border: none;
    
    > span {
        vertical-align: top;
    }

    .cart-info-header {
        display: block;
        background-color: #83c341;
        color: #fff;
        text-align: center;
        padding: 20px;
        border-radius: inherit;
        font-weight: bold;
        box-sizing: border-box;
    }

    .cart-info-text {
        display: inline-block;
        padding: 20px;
        padding-bottom: 70px;
        width: 100%;
        font-weight: normal;
        box-sizing: border-box;
    }
    
    ::after {
        content: " ";
        position: absolute;
        display: block; 
        width: 10px;
        height: 10px;
        background-color: #83c341;
        top: -5px;
        pointer-events: none;
        left: 70%;
        transform: rotate(45deg);
    }
}

.account-container > li > a,
.cart-container > .minicart-wrapper > a {
    display: flex !important;
    align-items: center;
}

.account-container > li > a > span {
    margin-left: 5px;
}

.media-width(@extremum, @break) when (@extremum = 'min') and (@break = @screen__m) {

    .block-search .action.search {
        margin-left: -8px;
        border-radius: 0px 34px 34px 0px;
        border: none;
        height: 43px;
        width: 61px;
        background-size: 210px;
        background-position: 4px -993px;
        position: absolute;
        top: 0;
        right: -1px;
        background-color: black;
    }
    
    .page-wrapper {
        background-color: #fff !important;
        max-width: 1200px;
        width: 100%;
        margin: auto;
    }

    .page-header {
        background-color: #f8f8f8;
        padding: 0;
        position: relative;

        .contact-links {
            display: inline-block;
            max-width: 100%;
            float: right;

            .cum-cumpar-link {
                border-left: 1px solid #e1e1e1;
                border-right: 1px solid #e1e1e1;
            }

            .header-contact:hover .store-info {
                display: block;
            }           
        }
    }

    .page-header .header.content {
        display: flex;
        padding: 7px 0;
        justify-content: space-between;
        align-items: center;

        .header-search {
            width: 53%;
        }

        .logo {
            margin: 0;
        }

        .rating-container {
            display: flex;
     
            .rating-totals-wrapper {
                display: flex;
                flex-direction: column;
                align-items: center;
                margin-top: -2px;
            
                .rating-stars {
                    display: block;
                }

                .rating-numbers {
                    margin-top: -4px;
                }
            }
        }
    }

    .megamenu {
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: 100%;
        padding: 6px 20px 0;
        background-color: #fff;

        .nav-links,
        .customer-links {
            display: flex;
            justify-content: space-between;
            align-items: center;
            max-height: 100%;
            padding: 10px 10px 0 10px;
            font-size: 14px;
            font-weight: bold;
        }

        .products-link {
            width: 220px;

            > .megamenu-products-dropdown {
                letter-spacing: 3px;
                border-radius: 5px 5px 0 0;
                padding: 10px;
                background-color: #83c341;
            }            
        }
    
        .products-link > .megamenu-products-dropdown > .megamenu-products {
            color: white;
            
            .arrow-down {
                margin-left: 80px;
            }
        }

        .enciclopedia,
        .menu-forum {
            padding: 10px;
        }

        .enciclopedia {
            margin-right: 10px;
        }

        .enciclopedia > .megamenu-enciclopedia-dropdown .arrow-down,
        .menu-forum > .megamenu-forum-dropdown .arrow-down {
            margin-left: 10px;
        }

        .enciclopedia:hover,
        .menu-forum:hover {
            box-shadow: 0 -4px 10px 3px #ddd;
        }

        .sticky-search {
            max-width: 28%;
            width: 28%;
        }

        .customer-links .account-container  {
            display: flex;
            flex-direction: row;
            list-style: none;
            margin-right: 10px;
            position: relative;

            li > a {
                display: inline-block;
                margin-top: 5px;
                margin-left: 10px;
            }

            .fas.fa-user-circle {
                font-size: 28px;
            }

            &:hover .account-info {
                display: block;
            }
        }
        
        .cart-container {
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;

            > a {
                margin-left: 10px;
            }

            &:hover .cart-info {
                display: block;
            }
        }
    }    
    
    .page-main .nav-container {
        display: flex !important;
        width: 100%;
        height: 590px;
        background-color: #f5f5f5;
        border-radius: 0 0 10px 10px;
        border: 1px solid #e1e1e1;
        border-top: none;
        margin-left: 10px;
        max-width: 1140px !important;

        .category-link {
            color: #678032 !important;
            width: fit-content;
            padding: 0 !important;
            position: absolute;
            bottom: 30px;

            &:hover {
                background-color: transparent !important;    
            }
        }
    }
    
    // Image Slider //

    // Slider container 
    .slider-container {
    max-width: 100%;
    // margin: auto;

    .slider {
        margin-left: 208px;
    }
    }

    // Hide the images by default
    .mySlides {
    display: none;
    }

    // The dots/bullets/indicators 
    .dot {
    cursor: pointer;
    height: 20px;
    width: 20px;
    margin: 0 5px;
    // background-color: transparent;
    border: 1px solid #e1e1e1;
    border-radius: 10px;
    display: inline-block;
    transition: background-color 0.6s ease;
    }

    .active, .dot:hover {
    background-color: #e1e1e1;
    }

    // Fading animation 
    .fade {
    -webkit-animation-name: fade;
    -webkit-animation-duration: 1.5s;
    animation-name: fade;
    animation-duration: 1.5s;
    }

    @-webkit-keyframes fade {
    from {opacity: .4}
    to {opacity: 1}
    }

    @keyframes fade {
    from {opacity: .4}
    to {opacity: 1}
    }
}